### Virtual Method

# Gtk TextView extend_selection

#### Declaration [src]

    gboolean
    extend_selection (
      GtkTextView* text_view,
      GtkTextExtendSelection granularity,
      const GtkTextIter* location,
      GtkTextIter* start,
      GtkTextIter* end
    )

#### Description

No description available.

#### Parameters

`granularity` | `GtkTextExtendSelection`
| No description available.
`location` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`start` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.